import { screen, render, fireEvent } from '@testing-library/react';
import renderer from 'react-test-renderer';
export class BaseComponentDriver {
    constructor(name) {
        this.name = name;
    }
    render(component) {
        render(component);
        return this;
    }
    element(selector) {
        return screen.getByTestId(selector);
    }
    fire(selector, event) {
        const instance = this.element(selector);
        if (instance) {
            fireEvent(instance, event);
        }
    }
    snapshot(component) {
        const instance = renderer.create(component);
        return instance.toJSON();
    }
    get wrapper() {
        return this.element(`${this.name}-wrapper`);
    }
}
